import { Basicinfo, SalePrice } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

export const getUserList = () => {
  return http.post<Basicinfo.ResUserList>(PORT1 + `/GetUserList`, {});
};

export const saveUserList = (params: Basicinfo.ResUserList) => {
  return http.post<Basicinfo.ResSaveUserList>(PORT1 + `/SaveUserList`, params);
};

export const delUserList = (params: Basicinfo.ResUserList) => {
  return http.post<Basicinfo.ResUserList>(PORT1 + `/DelUserList`, params);
};

export const getSysFuncPwr = () => {
  return http.post<SalePrice.ResPriceList>(PORT1 + `/GetSysFuncPwr`, {});
};

export const getDept = () => {
  return http.post<SalePrice.ResPriceList>(PORT1 + `/GetDept`, {});
};
